import pandas as pd
xls = pd.ExcelFile(r"C:\Users\Prathamesh\Desktop\NewPTPlevel4.xlsx")
df1 = pd.read_excel(xls, 'Final')
#df2 = pd.read_excel(xls, 'Sheet2')
#df3 = pd.read_excel(xls, 'Sheet3')
mainObj = {}
AllObj = []

for index, row in df1.iterrows():
    tempObj = {}
    tempObj.update({'EnglishSentence' : row["EnglishSentence"]})

    tempObj.update(
        {
        "sentence_list" : 
            {
            'subSentence1': row["subSentence1"], 
            'subSentence2':row["subSentence2"], 
            'subSentence3': row["subSentence3"], 
            'subSentence4':row["subSentence4"]
            }
        }
        )
    AllObj.append(tempObj)
mainObj.update({"list": AllObj})
print(mainObj)